IPX_CMD(8)

NAME
ipx_cmd - bridge between Novell's SCMD driver and local IPX network

SYNOPSIS
ipx_cmd -A server name [ -l local interface name ]

DESCRIPTION
ipx_cmd moves packets from tapN to server and vice versa. It is something like IPX Tunnel, but it uses Novell Netware 5 server Compatibility Mode Driver (AKA Migration Agent) on the other end of wire. You must first configure your kernel tapN device with IPX EthernetII frame and with network number set up on server (you can use kernel autodetection).

OPTIONS

-A server name
    This is IP name of compatibility mode server. You can use DNS name or dotted quad to specify server address.

-l local interface name
    This allows you to specify, which of your IP addresses should be used as IP address of client side of CMD driver. You must configure your tapN device with hardware address 7E:01:AA:BB:CC:DD, where AA:BB:CC:DD is your IP address in hexa.

EXAMPLE
If you are on server platan.vc.cvut.cz (147.32.240.81) and your migration agent runs on server boris.vc.cvut.cz, you can configure your system with:
    insmod ethertap
    ifconfig tap0 hw ether 7E:01:93:20:F0:51 up
    ipx_interface add -p tap0 EtherII
    ipx_cmd -A boris.vc.cvut.cz -l 147.32.240.81 &

BUGS
This program was written to satisfy my own needs and should be really improved. At least it should configure tap interface itself.

AUTHOR
Petr Vandrovec <vandrove@vc.cvut.cz>